import request from '@/utils/request'

//获取首页banner
// export function banner (query) {
//   return request({
//     url: '/biz/banner-info/get',
//     method: 'get',
//     params: query
//   })
// }

export function banner() {
  return request({
    url: '/biz/banner-info/bannerList',
    method: 'get'
  })
}

// 获取组件服务列表数据
export function assemblyList (query) {
  return request({
    url: '/biz/assembly/assemblyList',
    method: 'get',
    params: query
  })
}

export function assemblyType (query) {
  return request({
    url: '/api/v1/assemblyType',
    method: 'get',
    params: query
  })
}

// 获取活动资讯列表数据
export function informationList (query) {
  return request({
    url: '/biz/information/informationList',
    method: 'get',
    params: query
  })
}


// 获取活动资讯详情
export function informationDetail (query) {
  return request({
    url: '/api/v1/informationDetail',
    method: 'get',
    params: query
  })
}

// 获取合作伙伴列表
export function partnerList (query) {
  return request({
    url: '/api/v1/partnerList',
    method: 'get',
    params: query
  })
}

// 获取计算资源相关
export function informationResourceList(query){
  return request({
    url:'/biz/computility-information/computilityList',
    method: 'get'
  })
}
